import{s as rl,o as dl,n as sl}from"../chunks/scheduler.00bde567.js";import{S as hl,i as cl,g as i,s as o,u as m,A as fl,h as n,f as e,c as r,j as c,v as u,y as d,k as s,o as h,a,w as v,d as y,t as w,x as M}from"../chunks/index.47ed9d5e.js";import{T as pl}from"../chunks/Tip.4d876191.js";import{I as bt}from"../chunks/IconCopyLink.f406d28e.js";import{C as me}from"../chunks/CodeBlock.e2175785.js";function ml(Ht){let f,S=`This API will load the model into memory on the <code>meta</code> device, so we are not actually downloading
and loading the full weights of the model into memory, nor do we need to. As a result it’s
perfectly fine to measure 8 billion parameter models (or more), without having to worry about
if your CPU can handle it!`;return{c(){f=i("p"),f.innerHTML=S},l(p){f=n(p,"P",{"data-svelte-h":!0}),d(f)!=="svelte-1byyf03"&&(f.innerHTML=S)},m(p,pt){a(p,f,pt)},p:sl,d(p){p&&e(f)}}}function ul(Ht){let f,S,p,pt,b,x,$t,G,ue,mt,$e="Understanding how big of a model can fit on your machine",Bt,E,ge="One very difficult aspect when exploring potential models to use on your machine is knowing just how big of a model will <em>fit</em> into memory with your current graphics card (such as loading the model onto CUDA).",kt,W,Te=`To help alleviate this, 🤗 Accelerate has a CLI interface through <code>accelerate estimate-memory</code>. This tutorial will
help walk you through using it, what to expect, and at the end link to the interactive demo hosted on the 🤗 Hub which will
even let you post those results directly on the model repo!`,Pt,N,Le="Currently we support searching for models that can be used in <code>timm</code> and <code>transformers</code>.",At,C,St,$,H,gt,U,ve,ut,_e="The Command",Gt,Z,xe=`When using <code>accelerate estimate-memory</code>, you need to pass in the name of the model you want to use, potentially the framework
that model utilizing (if it can’t be found automatically), and the data types you want the model to be loaded in with.`,Et,z,Ce="For example, here is how we can calculate the memory footprint for <code>bert-base-cased</code>:",Wt,j,Nt,Y,He=`This will download the <code>config.json</code> for <code>bert-based-cased</code>, load the model on the <code>meta</code> device, and report back how much space
it will use:`,Ut,F,Be="Memory Usage for loading <code>bert-base-cased</code>:",Zt,X,ke="<thead><tr><th>dtype</th> <th>Largest Layer</th> <th>Total Size</th> <th>Training using Adam</th></tr></thead> <tbody><tr><td>float32</td> <td>84.95 MB</td> <td>418.18 MB</td> <td>1.61 GB</td></tr> <tr><td>float16</td> <td>42.47 MB</td> <td>206.59 MB</td> <td>826.36 MB</td></tr> <tr><td>int8</td> <td>21.24 MB</td> <td>103.29 MB</td> <td>413.18 MB</td></tr> <tr><td>int4</td> <td>10.62 MB</td> <td>51.65 MB</td> <td>206.59 MB</td></tr></tbody>",zt,J,Pe="By default it will return all the supported dtypes (<code>int4</code> through <code>float32</code>), but if you are interested in specific ones these can be filtered.",jt,g,B,Tt,q,ye,vt,Ae="Specific libraries",Yt,I,Se=`If the source library cannot be determined automatically (like it could in the case of <code>bert-base-cased</code>), a library name can
be passed in.`,Ft,V,Xt,R,Ge="Memory Usage for loading <code>HuggingFaceM4/idefics-80b-instruct</code>:",Jt,D,Ee="<thead><tr><th>dtype</th> <th>Largest Layer</th> <th>Total Size</th> <th>Training using Adam</th></tr></thead> <tbody><tr><td>float32</td> <td>3.02 GB</td> <td>297.12 GB</td> <td>1.16 TB</td></tr> <tr><td>float16</td> <td>1.51 GB</td> <td>148.56 GB</td> <td>594.24 GB</td></tr> <tr><td>int8</td> <td>772.52 MB</td> <td>74.28 GB</td> <td>297.12 GB</td></tr> <tr><td>int4</td> <td>386.26 MB</td> <td>37.14 GB</td> <td>148.56 GB</td></tr></tbody>",qt,Q,It,O,We="Memory Usage for loading <code>timm/resnet50.a1_in1k</code>:",Vt,K,Ne="<thead><tr><th>dtype</th> <th>Largest Layer</th> <th>Total Size</th> <th>Training using Adam</th></tr></thead> <tbody><tr><td>float32</td> <td>9.0 MB</td> <td>97.7 MB</td> <td>390.78 MB</td></tr> <tr><td>float16</td> <td>4.5 MB</td> <td>48.85 MB</td> <td>195.39 MB</td></tr> <tr><td>int8</td> <td>2.25 MB</td> <td>24.42 MB</td> <td>97.7 MB</td></tr> <tr><td>int4</td> <td>1.12 MB</td> <td>12.21 MB</td> <td>48.85 MB</td></tr></tbody>",Rt,T,k,Lt,tt,we,yt,Ue="Specific dtypes",Dt,et,Ze="As mentioned earlier, while we return <code>int4</code> through <code>float32</code> by default, any dtype can be used from <code>float32</code>, <code>float16</code>, <code>int8</code>, and <code>int4</code>.",Qt,lt,ze="To do so, pass them in after specifying <code>--dtypes</code>:",Ot,at,Kt,it,je="Memory Usage for loading <code>bert-base-cased</code>:",te,nt,Ye="<thead><tr><th>dtype</th> <th>Largest Layer</th> <th>Total Size</th> <th>Training using Adam</th></tr></thead> <tbody><tr><td>float32</td> <td>84.95 MB</td> <td>413.18 MB</td> <td>1.61 GB</td></tr> <tr><td>float16</td> <td>42.47 MB</td> <td>206.59 MB</td> <td>826.36 MB</td></tr></tbody>",ee,L,P,_t,ot,Me,wt,Fe="Caveats with this calculator",le,rt,Xe="This calculator will tell you how much memory is needed to purely load the model in, <em>not</em> to perform inference.",ae,dt,Je="This calculation is accurate within a few % of the actual value, so it is a very good view of just how much memory it will take. For instance loading <code>bert-base-cased</code> actually takes <code>413.68 MB</code> when loaded on CUDA in full precision, and the calculator estimates <code>413.18 MB</code>.",ie,st,qe=`When performing inference you can expect to add up to an additional 20% as found by <a href="https://blog.eleuther.ai/transformer-math/" rel="nofollow">EleutherAI</a>. We’ll be conducting research into finding a more accurate estimate to these values, and will update
this calculator once done.`,ne,_,A,xt,ht,be,Mt,Ie="Live Gradio Demo",oe,ct,Ve=`Lastly, we invite you to try the <a href="https://huggingface.co/spaces/hf-accelerate/model-memory-usage" rel="nofollow">live Gradio demo</a> of this utility,
which includes an option to post a discussion thread on a models repository with this data. Doing so will help provide access to these numbers in the community faster and help users know what you’ve learned!`,re,Ct,de;return G=new bt({}),C=new pl({props:{$$slots:{default:[ml]},$$scope:{ctx:Ht}}}),U=new bt({}),j=new me({props:{code:"YWNjZWxlcmF0ZSUyMGVzdGltYXRlLW1lbW9yeSUyMGJlcnQtYmFzZS1jYXNlZA==",highlighted:"accelerate estimate-memory bert-base-cased",wrap:!1}}),q=new bt({}),V=new me({props:{code:"YWNjZWxlcmF0ZSUyMGVzdGltYXRlLW1lbW9yeSUyMEh1Z2dpbmdGYWNlTTQlMkZpZGVmaWNzLTgwYi1pbnN0cnVjdCUyMC0tbGlicmFyeV9uYW1lJTIwdHJhbnNmb3JtZXJz",highlighted:"accelerate estimate-memory HuggingFaceM4/idefics-80b-instruct --library_name transformers",wrap:!1}}),Q=new me({props:{code:"YWNjZWxlcmF0ZSUyMGVzdGltYXRlLW1lbW9yeSUyMHRpbW0lMkZyZXNuZXQ1MC5hMV9pbjFrJTIwLS1saWJyYXJ5X25hbWUlMjB0aW1t",highlighted:"accelerate estimate-memory timm/resnet50.a1_in1k --library_name timm",wrap:!1}}),tt=new bt({}),at=new me({props:{code:"YWNjZWxlcmF0ZSUyMGVzdGltYXRlLW1lbW9yeSUyMGJlcnQtYmFzZS1jYXNlZCUyMC0tZHR5cGVzJTIwZmxvYXQzMiUyMGZsb2F0MTY=",highlighted:"accelerate estimate-memory bert-base-cased --dtypes float32 float16",wrap:!1}}),ot=new bt({}),ht=new bt({}),{c(){f=i("meta"),S=o(),p=i("p"),pt=o(),b=i("h1"),x=i("a"),$t=i("span"),m(G.$$.fragment),ue=o(),mt=i("span"),mt.textContent=$e,Bt=o(),E=i("p"),E.innerHTML=ge,kt=o(),W=i("p"),W.innerHTML=Te,Pt=o(),N=i("p"),N.innerHTML=Le,At=o(),m(C.$$.fragment),St=o(),$=i("h2"),H=i("a"),gt=i("span"),m(U.$$.fragment),ve=o(),ut=i("span"),ut.textContent=_e,Gt=o(),Z=i("p"),Z.innerHTML=xe,Et=o(),z=i("p"),z.innerHTML=Ce,Wt=o(),m(j.$$.fragment),Nt=o(),Y=i("p"),Y.innerHTML=He,Ut=o(),F=i("p"),F.innerHTML=Be,Zt=o(),X=i("table"),X.innerHTML=ke,zt=o(),J=i("p"),J.innerHTML=Pe,jt=o(),g=i("h3"),B=i("a"),Tt=i("span"),m(q.$$.fragment),ye=o(),vt=i("span"),vt.textContent=Ae,Yt=o(),I=i("p"),I.innerHTML=Se,Ft=o(),m(V.$$.fragment),Xt=o(),R=i("p"),R.innerHTML=Ge,Jt=o(),D=i("table"),D.innerHTML=Ee,qt=o(),m(Q.$$.fragment),It=o(),O=i("p"),O.innerHTML=We,Vt=o(),K=i("table"),K.innerHTML=Ne,Rt=o(),T=i("h3"),k=i("a"),Lt=i("span"),m(tt.$$.fragment),we=o(),yt=i("span"),yt.textContent=Ue,Dt=o(),et=i("p"),et.innerHTML=Ze,Qt=o(),lt=i("p"),lt.innerHTML=ze,Ot=o(),m(at.$$.fragment),Kt=o(),it=i("p"),it.innerHTML=je,te=o(),nt=i("table"),nt.innerHTML=Ye,ee=o(),L=i("h2"),P=i("a"),_t=i("span"),m(ot.$$.fragment),Me=o(),wt=i("span"),wt.textContent=Fe,le=o(),rt=i("p"),rt.innerHTML=Xe,ae=o(),dt=i("p"),dt.innerHTML=Je,ie=o(),st=i("p"),st.innerHTML=qe,ne=o(),_=i("h2"),A=i("a"),xt=i("span"),m(ht.$$.fragment),be=o(),Mt=i("span"),Mt.textContent=Ie,oe=o(),ct=i("p"),ct.innerHTML=Ve,re=o(),Ct=i("p"),this.h()},l(t){const l=fl("svelte-1phssyn",document.head);f=n(l,"META",{name:!0,content:!0}),l.forEach(e),S=r(t),p=n(t,"P",{}),c(p).forEach(e),pt=r(t),b=n(t,"H1",{class:!0});var ft=c(b);x=n(ft,"A",{id:!0,class:!0,href:!0});var Re=c(x);$t=n(Re,"SPAN",{});var De=c($t);u(G.$$.fragment,De),De.forEach(e),Re.forEach(e),ue=r(ft),mt=n(ft,"SPAN",{"data-svelte-h":!0}),d(mt)!=="svelte-5oaj9i"&&(mt.textContent=$e),ft.forEach(e),Bt=r(t),E=n(t,"P",{"data-svelte-h":!0}),d(E)!=="svelte-1qyhu4i"&&(E.innerHTML=ge),kt=r(t),W=n(t,"P",{"data-svelte-h":!0}),d(W)!=="svelte-rqomdz"&&(W.innerHTML=Te),Pt=r(t),N=n(t,"P",{"data-svelte-h":!0}),d(N)!=="svelte-w4272k"&&(N.innerHTML=Le),At=r(t),u(C.$$.fragment,t),St=r(t),$=n(t,"H2",{class:!0});var se=c($);H=n(se,"A",{id:!0,class:!0,href:!0});var Qe=c(H);gt=n(Qe,"SPAN",{});var Oe=c(gt);u(U.$$.fragment,Oe),Oe.forEach(e),Qe.forEach(e),ve=r(se),ut=n(se,"SPAN",{"data-svelte-h":!0}),d(ut)!=="svelte-1hbqezx"&&(ut.textContent=_e),se.forEach(e),Gt=r(t),Z=n(t,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-45l1al"&&(Z.innerHTML=xe),Et=r(t),z=n(t,"P",{"data-svelte-h":!0}),d(z)!=="svelte-h4f2xa"&&(z.innerHTML=Ce),Wt=r(t),u(j.$$.fragment,t),Nt=r(t),Y=n(t,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-ils653"&&(Y.innerHTML=He),Ut=r(t),F=n(t,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1nfe19i"&&(F.innerHTML=Be),Zt=r(t),X=n(t,"TABLE",{"data-svelte-h":!0}),d(X)!=="svelte-1555s6h"&&(X.innerHTML=ke),zt=r(t),J=n(t,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1yqm0m1"&&(J.innerHTML=Pe),jt=r(t),g=n(t,"H3",{class:!0});var he=c(g);B=n(he,"A",{id:!0,class:!0,href:!0});var Ke=c(B);Tt=n(Ke,"SPAN",{});var tl=c(Tt);u(q.$$.fragment,tl),tl.forEach(e),Ke.forEach(e),ye=r(he),vt=n(he,"SPAN",{"data-svelte-h":!0}),d(vt)!=="svelte-16l1vv0"&&(vt.textContent=Ae),he.forEach(e),Yt=r(t),I=n(t,"P",{"data-svelte-h":!0}),d(I)!=="svelte-njwxoj"&&(I.innerHTML=Se),Ft=r(t),u(V.$$.fragment,t),Xt=r(t),R=n(t,"P",{"data-svelte-h":!0}),d(R)!=="svelte-15w8ahh"&&(R.innerHTML=Ge),Jt=r(t),D=n(t,"TABLE",{"data-svelte-h":!0}),d(D)!=="svelte-18sp6z1"&&(D.innerHTML=Ee),qt=r(t),u(Q.$$.fragment,t),It=r(t),O=n(t,"P",{"data-svelte-h":!0}),d(O)!=="svelte-1mr9yqw"&&(O.innerHTML=We),Vt=r(t),K=n(t,"TABLE",{"data-svelte-h":!0}),d(K)!=="svelte-1kjhg7d"&&(K.innerHTML=Ne),Rt=r(t),T=n(t,"H3",{class:!0});var ce=c(T);k=n(ce,"A",{id:!0,class:!0,href:!0});var el=c(k);Lt=n(el,"SPAN",{});var ll=c(Lt);u(tt.$$.fragment,ll),ll.forEach(e),el.forEach(e),we=r(ce),yt=n(ce,"SPAN",{"data-svelte-h":!0}),d(yt)!=="svelte-a4d63q"&&(yt.textContent=Ue),ce.forEach(e),Dt=r(t),et=n(t,"P",{"data-svelte-h":!0}),d(et)!=="svelte-15o0uxk"&&(et.innerHTML=Ze),Qt=r(t),lt=n(t,"P",{"data-svelte-h":!0}),d(lt)!=="svelte-9rym4t"&&(lt.innerHTML=ze),Ot=r(t),u(at.$$.fragment,t),Kt=r(t),it=n(t,"P",{"data-svelte-h":!0}),d(it)!=="svelte-1nfe19i"&&(it.innerHTML=je),te=r(t),nt=n(t,"TABLE",{"data-svelte-h":!0}),d(nt)!=="svelte-1hk5v9f"&&(nt.innerHTML=Ye),ee=r(t),L=n(t,"H2",{class:!0});var fe=c(L);P=n(fe,"A",{id:!0,class:!0,href:!0});var al=c(P);_t=n(al,"SPAN",{});var il=c(_t);u(ot.$$.fragment,il),il.forEach(e),al.forEach(e),Me=r(fe),wt=n(fe,"SPAN",{"data-svelte-h":!0}),d(wt)!=="svelte-cm54zs"&&(wt.textContent=Fe),fe.forEach(e),le=r(t),rt=n(t,"P",{"data-svelte-h":!0}),d(rt)!=="svelte-gbqkuz"&&(rt.innerHTML=Xe),ae=r(t),dt=n(t,"P",{"data-svelte-h":!0}),d(dt)!=="svelte-wpwqvl"&&(dt.innerHTML=Je),ie=r(t),st=n(t,"P",{"data-svelte-h":!0}),d(st)!=="svelte-1x4mgsf"&&(st.innerHTML=qe),ne=r(t),_=n(t,"H2",{class:!0});var pe=c(_);A=n(pe,"A",{id:!0,class:!0,href:!0});var nl=c(A);xt=n(nl,"SPAN",{});var ol=c(xt);u(ht.$$.fragment,ol),ol.forEach(e),nl.forEach(e),be=r(pe),Mt=n(pe,"SPAN",{"data-svelte-h":!0}),d(Mt)!=="svelte-emm2py"&&(Mt.textContent=Ie),pe.forEach(e),oe=r(t),ct=n(t,"P",{"data-svelte-h":!0}),d(ct)!=="svelte-tjk9os"&&(ct.innerHTML=Ve),re=r(t),Ct=n(t,"P",{}),c(Ct).forEach(e),this.h()},h(){s(f,"name","hf:doc:metadata"),s(f,"content",JSON.stringify(vl)),s(x,"id","understanding-how-big-of-a-model-can-fit-on-your-machine"),s(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(x,"href","#understanding-how-big-of-a-model-can-fit-on-your-machine"),s(b,"class","relative group"),s(H,"id","the-command"),s(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(H,"href","#the-command"),s($,"class","relative group"),s(B,"id","specific-libraries"),s(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(B,"href","#specific-libraries"),s(g,"class","relative group"),s(k,"id","specific-dtypes"),s(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(k,"href","#specific-dtypes"),s(T,"class","relative group"),s(P,"id","caveats-with-this-calculator"),s(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(P,"href","#caveats-with-this-calculator"),s(L,"class","relative group"),s(A,"id","live-gradio-demo"),s(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(A,"href","#live-gradio-demo"),s(_,"class","relative group")},m(t,l){h(document.head,f),a(t,S,l),a(t,p,l),a(t,pt,l),a(t,b,l),h(b,x),h(x,$t),v(G,$t,null),h(b,ue),h(b,mt),a(t,Bt,l),a(t,E,l),a(t,kt,l),a(t,W,l),a(t,Pt,l),a(t,N,l),a(t,At,l),v(C,t,l),a(t,St,l),a(t,$,l),h($,H),h(H,gt),v(U,gt,null),h($,ve),h($,ut),a(t,Gt,l),a(t,Z,l),a(t,Et,l),a(t,z,l),a(t,Wt,l),v(j,t,l),a(t,Nt,l),a(t,Y,l),a(t,Ut,l),a(t,F,l),a(t,Zt,l),a(t,X,l),a(t,zt,l),a(t,J,l),a(t,jt,l),a(t,g,l),h(g,B),h(B,Tt),v(q,Tt,null),h(g,ye),h(g,vt),a(t,Yt,l),a(t,I,l),a(t,Ft,l),v(V,t,l),a(t,Xt,l),a(t,R,l),a(t,Jt,l),a(t,D,l),a(t,qt,l),v(Q,t,l),a(t,It,l),a(t,O,l),a(t,Vt,l),a(t,K,l),a(t,Rt,l),a(t,T,l),h(T,k),h(k,Lt),v(tt,Lt,null),h(T,we),h(T,yt),a(t,Dt,l),a(t,et,l),a(t,Qt,l),a(t,lt,l),a(t,Ot,l),v(at,t,l),a(t,Kt,l),a(t,it,l),a(t,te,l),a(t,nt,l),a(t,ee,l),a(t,L,l),h(L,P),h(P,_t),v(ot,_t,null),h(L,Me),h(L,wt),a(t,le,l),a(t,rt,l),a(t,ae,l),a(t,dt,l),a(t,ie,l),a(t,st,l),a(t,ne,l),a(t,_,l),h(_,A),h(A,xt),v(ht,xt,null),h(_,be),h(_,Mt),a(t,oe,l),a(t,ct,l),a(t,re,l),a(t,Ct,l),de=!0},p(t,[l]){const ft={};l&2&&(ft.$$scope={dirty:l,ctx:t}),C.$set(ft)},i(t){de||(y(G.$$.fragment,t),y(C.$$.fragment,t),y(U.$$.fragment,t),y(j.$$.fragment,t),y(q.$$.fragment,t),y(V.$$.fragment,t),y(Q.$$.fragment,t),y(tt.$$.fragment,t),y(at.$$.fragment,t),y(ot.$$.fragment,t),y(ht.$$.fragment,t),de=!0)},o(t){w(G.$$.fragment,t),w(C.$$.fragment,t),w(U.$$.fragment,t),w(j.$$.fragment,t),w(q.$$.fragment,t),w(V.$$.fragment,t),w(Q.$$.fragment,t),w(tt.$$.fragment,t),w(at.$$.fragment,t),w(ot.$$.fragment,t),w(ht.$$.fragment,t),de=!1},d(t){t&&(e(S),e(p),e(pt),e(b),e(Bt),e(E),e(kt),e(W),e(Pt),e(N),e(At),e(St),e($),e(Gt),e(Z),e(Et),e(z),e(Wt),e(Nt),e(Y),e(Ut),e(F),e(Zt),e(X),e(zt),e(J),e(jt),e(g),e(Yt),e(I),e(Ft),e(Xt),e(R),e(Jt),e(D),e(qt),e(It),e(O),e(Vt),e(K),e(Rt),e(T),e(Dt),e(et),e(Qt),e(lt),e(Ot),e(Kt),e(it),e(te),e(nt),e(ee),e(L),e(le),e(rt),e(ae),e(dt),e(ie),e(st),e(ne),e(_),e(oe),e(ct),e(re),e(Ct)),e(f),M(G),M(C,t),M(U),M(j,t),M(q),M(V,t),M(Q,t),M(tt),M(at,t),M(ot),M(ht)}}}const vl={local:"understanding-how-big-of-a-model-can-fit-on-your-machine",sections:[{local:"the-command",sections:[{local:"specific-libraries",title:"Specific libraries"},{local:"specific-dtypes",title:"Specific dtypes"}],title:"The Command"},{local:"caveats-with-this-calculator",title:"Caveats with this calculator"},{local:"live-gradio-demo",title:"Live Gradio Demo"}],title:"Understanding how big of a model can fit on your machine"};function yl(Ht){return dl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tl extends hl{constructor(f){super(),cl(this,f,yl,ul,rl,{})}}export{Tl as component};
